## haskell-configfile 1.0.4.1

=== Makefile ===
# arch-tag: Main Makefile
# Copyright (C) 2004 - 2005 John Goerzen <jgoerzen@complete.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation; either version 2.1 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

PROJECT := ConfigFile
GHCPARMS := -fallow-overlapping-instances -fallow-undecidable-instances -fglasgow-exts -cpp

.PHONY: all hugsbuild
all: setup			# GHC build
	./setup configure
	./setup build

hugsbuild: setup
	./setup configure --hugs
	./setup build

setup: Setup.hs $(PROJECT).cabal
	ghc -package Cabal Setup.hs -o setup

doctmp/%.hs: %.lhs doctmp
	mkdir -p `dirname $@`
	$(UNLIT) $< $@

doctmp:
	mkdir doctmp

.PHONY: doc
doc: $(LHSCONVSOURCES) setup
	-rm -rf html
	./setup configure
	./setup haddock
#	haddock $(HADDOCKARGS) --package=$(PROJECT) \
#	   --dump-interface=html/$(PROJECT).haddock \
#	   -t '$(PROJECT) API Manual' -h -o html $(HUGSCONVSOURCES) $(LHSCONVSOURCES)
	mv dist/doc/html .

.PHONY: hugsbuild


clean:
	-./setup clean
	-rm -rf html `find . -name "*.o"` `find . -name "*.hi"` \
		`find . -name "*~"` *.a setup dist testsrc/runtests \
		local-pkg doctmp
	-rm -rf testtmp/*

.PHONY: local-pkg
local-pkg: all
	echo "[" > local-pkg
	cat .installed-pkg-config >> local-pkg
	echo "]" >> local-pkg

testsrc/runtests: all $(wildcard testsrc/*.hs) $(wildcard testsrc/*/*.hs) $(wildcard testsrc/*/*/*.hs)
	cd testsrc && ghc --make -package MissingH -package mtl $(GHCPARMS) -o runtests  -i../dist/build:../src runtests.hs

test-ghc6: testsrc/runtests
	testsrc/runtests

test-hugs: 
	runhugs -98 +o "-Fcpphs --noline" -P$(PWD)/src:$(PWD)/testsrc: testsrc/runtests.hs

interact-hugs:
	hugs -98 +o -P$(PWD)/dist/build:

interact-ghci: all
	ghci -idist/build -Ldist/build $(GHCPARMS)

interact: interact-hugs

test: test-ghc6 test-hugs

## haskell-configfile 1.0.2

=== debian/changelog ===
haskell-configfile (1.0.2) unstable; urgency=low

  * Update hugs deps.  Closes: #419438.
  * Rebuild for newer GHC.  Closes: #429020.
  * Drop Hugs support due to lack of regex support in Hugs.
    See #422170.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 15 Jun 2007 04:56:25 -0500

haskell-configfile (1.0.1) unstable; urgency=low

  * Rebuild against newer MissingH.

 -- John Goerzen <jgoerzen@complete.org>  Thu,  8 Mar 2007 14:22:03 -0600

haskell-configfile (1.0.0) unstable; urgency=low

  * Initial release.  Closes: #402080.
    This package was split off of MissingH as part of the MissingH
    transition plan.

 -- John Goerzen <jgoerzen@complete.org>  Thu,  7 Dec 2006 18:58:38 -0600

missingh (0.18.0) unstable; urgency=low

  * Major API changes in this release; several large modules being
    split off into separate packages.  See 
    http://software.complete.org/missingh/wiki/TransitionPlanning
    for details.

 -- John Goerzen <jgoerzen@complete.org>  Thu,  7 Dec 2006 06:13:58 -0600

missingh (0.16.3) unstable; urgency=low

  * New version
  * New module MissingH.ProgressTracker which tracks the progress
    of long-running tasks.  It can also give estimated time to completion
    and overall speed statistics, as well as support dividing a task
    into many subtasks.
  * New module MissingH.ProgressMeter which displays one or more
    ProgressTrackers as a status bar on a console.
  * New module MissingH.Quantity which renders numbers according
    to a quantification system such as SI or binary
  * New functions forkRawSystem and pOpen3Raw in MissingH.Cmd.  Instead
    of taking functions to run as actions, instead returns the PID
    of the child process and leaves it up to the programmer to properly
    handle the result.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 28 Nov 2006 05:52:08 -0600

missingh (0.16.2) unstable; urgency=low

  * Documented Quantity.hs
  * Fixed missing libghc6-*-dev deps from GHC 6.6.  Closes: #394580.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 21 Oct 2006 19:51:08 -0500

missingh (0.16.1) unstable; urgency=low

  * Fix up dependencies

 -- John Goerzen <jgoerzen@complete.org>  Thu, 19 Oct 2006 05:24:04 -0500

missingh (0.16.0) unstable; urgency=low

  * NEW: MissingH.Quantity that is used to render numbers as binary
    units (MB, KB, etc) or SI units, or other similar units
  * NEW: MissingH.ProgressTracker that is used to track the progress
    of long-running tasks, measure their speed, and give estimated
    completion times
  * Update to support GHC 6.6
    + Remove FiniteMap support everywhere (no longer supported in GHC)
    + Remove MissingH.Printf (has been deprecated since 0.13.0 due to
      Text.Printf)
    + Update README
    + Fix MissingH.FTP.Server for GHC 6.6.0 compatibility
    + Update cabal file for GHC 6.6 compatibility
  * Patch from Jeremy Shaw to add to MissingH.HUnit the ability to turn
    QuickCheck tests into HUnit tests
  * Patch from Joe Edmonds to MissingH.Wash.Mail.MailParser to
    accept a slight violation of RFC2822 in which date headers may have
    a single-digit date
  * Fix a logic error in MemoryBuffer's vPutStr that could corrupt
    data when a write occurs after a seek, and wrote a test to
    detect this condition.  Thanks to Bulat Ziganshin for finding this.
  * New function in MissingH.List to merge two sorted lists into
    a single sorted whole.  Patch from Clifford Beshers.
  * Work around lack of signals on Windows in MissingH.Cmd.
  * Make sure Data.Bits is imported in MissingH.IO.StatCompat.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 19 Oct 2006 04:38:10 -0500

missingh (0.14.5) unstable; urgency=low

  * New function: MissingH.Cmd.posixRawSystem
  * MissingH.Cmd.safeSystem now implemented in terms of posixRawSystem 
    on supported platforms.

 -- John Goerzen <jgoerzen@complete.org>  Tue,  4 Jul 2006 11:34:49 -0500

missingh (0.14.4) unstable; urgency=low

  * Fix a bug in ConfigParser.merge and write a test for it.
  * Rebuilt with GHC 6.4.2

 -- John Goerzen <jgoerzen@complete.org>  Wed, 28 Jun 2006 14:05:56 -0500

missingh (0.14.3) unstable; urgency=low

  * IO/StatCompat: Fixed missing Data.Bits import on mingw32 
  * Updated COPYING file with new FSF address
  * Cmd.hs: Commented out code that was never used
  * Import new package MD5 0.2.7 from Ian Lynagh

 -- John Goerzen <jgoerzen@complete.org>  Wed, 28 Jun 2006 03:48:24 -0500

missingh (0.14.2) unstable; urgency=low

  * ConfigParser gives more helpful error messages when possible --
    it now includes section and option in most error messages
  * Unit tests updated for new ConfigParser output
  * MissingH.Str: New function escapeRe that takes a string and makes
    a regular expression that matches the string literally.
  * MissingH.IO.HVFS: New function vDoesExist
  * MissingH.List: New function hasAny
  * New modules: MissingH.Path.Glob and MissingH.Path.WildMatch
    and tests for them
  * 716 total unit tests now

 -- John Goerzen <jgoerzen@complete.org>  Thu, 13 Apr 2006 00:14:10 -0500

missingh (0.14.0) unstable; urgency=low

  * New function splitWs
  * Loggers: When creating new loggers, use the new parent for defaults
    when possible. [API change]
  * Logger handlers: Now pass the calling logger name to handlers.
    [API change]
  * New log handler: verboseStreamHandler
  * Syslog handler also includes priority and logger name for each message.

 -- John Goerzen <jgoerzen@complete.org>  Tue,  4 Apr 2006 05:31:15 -0500

missingh (0.13.1) unstable; urgency=low

  * Note Build-Depends on HUnit in MissingH.Cabal.  Closes: #356196.
  * MissingH.IO.HVIO: No longer return EOFError when vGetContents called
    at EOF, for compatibility with hGetContents.  Reported by
    Bulat Ziganshin.
  * MissingH.IO.HVFS.Utils: Applied suggestion from Bulat
    to make recursiveRemove cleaner.
  * MissingH.IO.HVIO: Minor bugfixes suggested by Bulat.
  * Updated, fixed typos, and enhanced various docs.


=== debian/control ===
Source: haskell-configfile
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.6.1), ghc6 (<< 6.6.1-999), haskell-devscripts (>= 0.5.6), cpphs, libghc6-missingh-dev (>= 0.18.3), libghc6-mtl-dev
Build-Depends-Indep: debhelper (>= 4.0.0), haddock, haskell-devscripts (>= 0.5.6), ghc6 (>= 6.6), cpphs
Standards-Version: 3.6.2
Section: devel

Package: libghc6-configfile-dev
Section: devel
Architecture: any
Depends: ${haskell:Depends}, libghc6-missingh-dev (>= 0.18.3), libghc6-mtl-dev
Suggests: configfile-doc
Description: Parser and writer for handling sectioned config files in Haskell, GHC package
 The ConfigFile module works with configuration files in a standard
 format that is easy for the user to edit, easy for the programmer
 to work with, yet remains powerful and flexible.  It is inspired by,
 and compatible with, Python's ConfigParser module.  It uses files
 that resemble Windows .INI-style files, but with numerous
 improvements.
 .
 ConfigFile provides simple calls to both read and write config files.
 It's possible to make a config file parsable by this module,
 the Unix shell, and make.

Package: configfile-doc
Section: doc
Architecture: all
Description: Parser and writer for handling sectioned config files in Haskell, Documentation
 The ConfigFile module works with configuration files in a standard
 format that is easy for the user to edit, easy for the programmer
 to work with, yet remains powerful and flexible.  It is inspired by,
 and compatible with, Python's ConfigParser module.  It uses files
 that resemble Windows .INI-style files, but with numerous
 improvements.
 .
 ConfigFile provides simple calls to both read and write config files.
 It's possible to make a config file parsable by this module,
 the Unix shell, and make.

## haskell-configfile 1.0.4.1

=== debian/changelog ===
haskell-configfile (1.0.4.1) unstable; urgency=low

  * Rebuild with newer regex libs.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 06 Feb 2008 04:04:46 -0600

haskell-configfile (1.0.4.0) unstable; urgency=low

  * Updates for GHC 6.8.x compatibility.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 11 Jan 2008 02:36:03 -0600

haskell-configfile (1.0.3) unstable; urgency=medium

  * Rebuild with newer MissingH.  Closes: #429486, #429500.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 12 Jul 2007 00:55:49 -0500

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: haskell-configfile
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.6.1), ghc6 (<< 6.6.1-999), haskell-devscripts (>= 0.5.6), cpphs, libghc6-missingh-dev (>= 0.18.3), libghc6-mtl-dev
-Build-Depends-Indep: debhelper (>= 4.0.0), haddock, haskell-devscripts (>= 0.5.6), ghc6 (>= 6.6), cpphs
+Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.8.2), ghc6 (<< 6.8.2-999), haskell-devscripts (>= 0.6.3), cpphs, libghc6-missingh-dev (>= 1.0.0), libghc6-mtl-dev
+Build-Depends-Indep: debhelper (>= 4.0.0), haddock, haskell-devscripts (>= 0.6.3), ghc6 (>= 6.6), cpphs
 Standards-Version: 3.6.2
 Section: devel
 
 Package: libghc6-configfile-dev
 Section: devel
 Architecture: any
-Depends: ${haskell:Depends}, libghc6-missingh-dev (>= 0.18.3), libghc6-mtl-dev
+Depends: ${haskell:Depends}, libghc6-missingh-dev (>= 1.0.0), libghc6-mtl-dev
 Suggests: configfile-doc
 Description: Parser and writer for handling sectioned config files in Haskell, GHC package
  The ConfigFile module works with configuration files in a standard

## haskell-configfile 1.0.4.2

=== debian/changelog ===
haskell-configfile (1.0.4.2) unstable; urgency=low

  * Rebuild for new MissingH.  Closes: #477702.
  * Add Homepage, VCS-* lines to control.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 25 Apr 2008 11:31:50 -0500

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,18 @@
 Source: haskell-configfile
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.8.2), ghc6 (<< 6.8.2-999), haskell-devscripts (>= 0.6.3), cpphs, libghc6-missingh-dev (>= 1.0.0), libghc6-mtl-dev
+Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.8.2), ghc6 (<< 6.8.2-999), haskell-devscripts (>= 0.6.3), cpphs, libghc6-missingh-dev (>= 1.0.1), libghc6-mtl-dev
 Build-Depends-Indep: debhelper (>= 4.0.0), haddock, haskell-devscripts (>= 0.6.3), ghc6 (>= 6.6), cpphs
 Standards-Version: 3.6.2
 Section: devel
+Homepage: http://software.complete.org/configfile
+VCS-Git: git://git.complete.org/configfile
+VCS-Browser: http://git.complete.org/configfile
 
 Package: libghc6-configfile-dev
 Section: devel
 Architecture: any
-Depends: ${haskell:Depends}, libghc6-missingh-dev (>= 1.0.0), libghc6-mtl-dev
+Depends: ${haskell:Depends}, libghc6-missingh-dev (>= 1.0.1), libghc6-mtl-dev
 Suggests: configfile-doc
 Description: Parser and writer for handling sectioned config files in Haskell, GHC package
  The ConfigFile module works with configuration files in a standard

## haskell-configfile 1.0.4.6

=== debian/changelog ===
haskell-configfile (1.0.4.6) unstable; urgency=high

  * Rebuild for newer GHC.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 19 Jan 2009 15:56:02 -0600

haskell-configfile (1.0.4.5) unstable; urgency=low

  * Rebuild with newer MissingH.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 11 Dec 2008 09:12:20 -0600

haskell-configfile (1.0.4.4) unstable; urgency=low

  * Use dh_haskell_depends.  Closes: #506206.
  * Rebuild against MissingH 1.0.3.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 19 Nov 2008 05:12:26 -0600

haskell-configfile (1.0.4.3) unstable; urgency=low

  * Rebuilt with newer MissingH.  Closes: #504528.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 18 Nov 2008 03:33:12 -0600

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: haskell-configfile
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.8.2), ghc6 (<< 6.8.2-999), haskell-devscripts (>= 0.6.3), cpphs, libghc6-missingh-dev (>= 1.0.1), libghc6-mtl-dev
-Build-Depends-Indep: debhelper (>= 4.0.0), haddock, haskell-devscripts (>= 0.6.3), ghc6 (>= 6.6), cpphs
+Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.8.2dfsg1), haskell-devscripts (>= 0.6.15), cpphs, libghc6-missingh-dev (>= 1.0.3.2), libghc6-mtl-dev
+Build-Depends-Indep: debhelper (>= 4.0.0), haddock, haskell-devscripts (>= 0.6.15), ghc6 (>= 6.8.2dfsg1), cpphs
 Standards-Version: 3.6.2
 Section: devel
 Homepage: http://software.complete.org/configfile
@@ -12,7 +12,7 @@
 Package: libghc6-configfile-dev
 Section: devel
 Architecture: any
-Depends: ${haskell:Depends}, libghc6-missingh-dev (>= 1.0.1), libghc6-mtl-dev
+Depends: ${haskell:Depends}, libghc6-missingh-dev (>= 1.0.3), libghc6-mtl-dev
 Suggests: configfile-doc
 Description: Parser and writer for handling sectioned config files in Haskell, GHC package
  The ConfigFile module works with configuration files in a standard

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	make setup
	./setup configure --prefix=$(LIBPATH) --ghc

	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	#make test-ghc6
	# Add here commands to compile the package.
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-./setup clean
	-make clean
	-rm -rf setup Setup.hi Setup.ho Setup.o .*config* dist html

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs -a 

	# Add here commands to install the package into debian/tmp
	dh_haskell -a
	dh_haskell_depends -a
	make test-ghc6

builddocs: builddocs-stamp
builddocs-stamp:
	dh_testdir

	make doc

installdocs: builddocs
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -i

	dh_haskell -i
	#make test-hugs  disabled due to hugs disable

# Build architecture-independent files here.
binary-indep: builddocs installdocs
	dh_testdir
	dh_testroot
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman -i
	dh_link -i
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## haskell-configfile 1.1.4

=== debian/changelog ===
haskell-configfile (1.1.4-9build2) hirsute; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Oct 2020 20:22:18 +0000

haskell-configfile (1.1.4-9build1) groovy; urgency=medium

  * Rebuild against new GHC abi.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Jul 2020 15:13:23 +0200

haskell-configfile (1.1.4-9) unstable; urgency=medium

  * Sourceful upload for GHC 8.8.

 -- Clint Adams <clint@debian.org>  Thu, 18 Jun 2020 19:21:45 -0400

haskell-configfile (1.1.4-8) unstable; urgency=medium

  * Remove build dependency on libghc-parsec3-dev (provided by ghc-
    8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Wed, 03 Oct 2018 12:06:11 +0300

haskell-configfile (1.1.4-7) unstable; urgency=medium

  * Remove build dependency on libghc-mtl-dev (provided by ghc-8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 01 Oct 2018 13:33:23 +0300

haskell-configfile (1.1.4-6) unstable; urgency=medium

  [ Clint Adams ]
  * Set Rules-Requires-Root to no.

  [ Ilias Tsitsimpis ]
  * Bump debhelper compat level to 10

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 30 Sep 2018 21:04:39 +0300

haskell-configfile (1.1.4-5) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 20:04:44 -0400

haskell-configfile (1.1.4-4) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:32:58 -0400

haskell-configfile (1.1.4-3) experimental; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)
  * Convert `debian/copyright' to dep5 format

  [ Clint Adams ]
  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Sun, 16 Oct 2016 14:01:48 -0400

haskell-configfile (1.1.4-2) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:54:14 -0500

haskell-configfile (1.1.4-1) experimental; urgency=medium

  * New upstream release
  * Bump standards-version to 3.9.6
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:27:14 +0200

haskell-configfile (1.1.2-4) unstable; urgency=medium

  * Rebuild due to haskell-devscripts bug affecting the previous

 -- Joachim Breitner <nomeata@debian.org>  Tue, 28 Apr 2015 23:58:21 +0200

haskell-configfile (1.1.2-3) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:48:32 +0200

haskell-configfile (1.1.2-2) experimental; urgency=medium

  * Depend on haskell-devscripts 0.9, found in experimental

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 17:09:56 +0100

haskell-configfile (1.1.2-1) unstable; urgency=low

  * Adjust watch file to new hackage layout
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Wed, 06 Aug 2014 22:20:23 +0200

haskell-configfile (1.1.1-4) unstable; urgency=low

  * Move Haskell blurb to the end of the description, reduces the impact
    of #708703

 -- Joachim Breitner <nomeata@debian.org>  Sat, 25 May 2013 23:52:05 +0200

haskell-configfile (1.1.1-3) unstable; urgency=low

  * Enable compat level 9
  * Use substvars for Haskell description blurbs

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:50:12 +0200

haskell-configfile (1.1.1-2) experimental; urgency=low

  * Change Vcs headers to Darcs

 -- Joachim Breitner <nomeata@debian.org>  Fri, 04 Jan 2013 16:48:44 +0100

haskell-configfile (1.1.1-1) experimental; urgency=low

  * New upstream version.
  * Bump to Standards-Version 3.9.4.

 -- Clint Adams <clint@debian.org>  Thu, 08 Nov 2012 03:20:30 +0000

haskell-configfile (1.0.6-4) unstable; urgency=low

  * Sourceful upload to rebuild documentation package
  * Build without haskell98.

 -- Joey Hess <joeyh@debian.org>  Mon, 27 Feb 2012 19:32:46 -0400

haskell-configfile (1.0.6-3) unstable; urgency=low

  * s/ghc6/ghc/

 -- Joachim Breitner <nomeata@debian.org>  Wed, 20 Apr 2011 22:07:32 +0530

haskell-configfile (1.0.6-2) unstable; urgency=low

  * debian/control:
    + Clean up Build-Depends and bump some minimum versions
    + Slightly rewrite short and long descriptions to be more consistent with
      other Debian Haskell Group policies
    + Rename documentation package
    + Add profiling package
    + Remove redundant duplicated Section lines
    + Add haskell substvars
    + Priority → extra due to transitive dep on libffi (in common with other
      Haskell libraries)
    + Standards-Version 3.9.0, use Breaks/Replaces to rename doc package
  * debian/compat: Set to 7
  * debian/source/format: Create with 1.0. Thanks to Lintian.
  * debian/watch: Create

 -- Iain Lane <laney@ubuntu.com>  Sat, 03 Jul 2010 10:59:50 +0100

haskell-configfile (1.0.6-1) unstable; urgency=low

  * New upstream release.
  * Rebuild for GHC 6.12.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 19 Feb 2010 09:36:18 -0600

haskell-configfile (1.0.5-3) unstable; urgency=low

  [ Erik de Castro Lopo ]
  * debian/rules
    - Convert to hlibrary.mk (dh_haskell was removed to haskell-devscripts).
    (Closes: 556827)
  * debian/control
    - Depend on haskell-devscripts >= 0.6.18.
    - Move Build-Depends-Indeps to Build-Depends.
    - Add hscolour to build deps.
    - Standards-Version 3.8.3
    - Section haskell.
   * debian/compat
    - Version 5



=== debian/control ===
Source: haskell-configfile
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 John Goerzen <jgoerzen@complete.org>,
Priority: optional
Section: haskell
Rules-Requires-Root: no
Build-Depends:
 cdbs,
 debhelper (>= 10),
 ghc (>= 8.4.3),
 ghc-prof,
 haskell-devscripts (>= 0.13),
 libghc-missingh-dev (>= 1.0.0),
 libghc-missingh-prof,
Build-Depends-Indep:
 ghc-doc,
 libghc-missingh-doc,
Standards-Version: 4.5.0
Homepage: http://software.complete.org/configfile
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-configfile
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-configfile]

Package: libghc-configfile-dev
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: Parser and writer for sectioned config files in Haskell${haskell:ShortBlurb}
 The ConfigFile module works with configuration files in a standard
 format that is easy for the user to edit, easy for the programmer
 to work with, yet remains powerful and flexible.  It is inspired by,
 and compatible with, Python's ConfigParser module.  It uses files
 that resemble Windows .INI-style files, but with numerous
 improvements.
 .
 ConfigFile provides simple calls to both read and write config files.
 It's possible to make a config file parsable by this module,
 the Unix shell, and make.
 .
 ${haskell:Blurb}

Package: libghc-configfile-prof
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: Parser and writer for sectioned config files in Haskell${haskell:ShortBlurb}
 The ConfigFile module works with configuration files in a standard
 format that is easy for the user to edit, easy for the programmer
 to work with, yet remains powerful and flexible.  It is inspired by,
 and compatible with, Python's ConfigParser module.  It uses files
 that resemble Windows .INI-style files, but with numerous
 improvements.
 .
 ConfigFile provides simple calls to both read and write config files.
 It's possible to make a config file parsable by this module,
 the Unix shell, and make.
 .
 This package contains configfile compiled for profiling.
 .
 ${haskell:Blurb}

Package: libghc-configfile-doc
Architecture: all
Section: doc
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Breaks:
 configfile-doc (<< 1.0.6-2),
Replaces:
 configfile-doc (<< 1.0.6-2),
Description: Parser and writer for sectioned config files in Haskell${haskell:ShortBlurb}
 The ConfigFile module works with configuration files in a standard
 format that is easy for the user to edit, easy for the programmer
 to work with, yet remains powerful and flexible.  It is inspired by,
 and compatible with, Python's ConfigParser module.  It uses files
 that resemble Windows .INI-style files, but with numerous
 improvements.
 .
 ConfigFile provides simple calls to both read and write config files.
 It's possible to make a config file parsable by this module,
 the Unix shell, and make.
 .
 ${haskell:Blurb}

=== debian/watch ===
version=3
https://hackage.haskell.org/package/ConfigFile/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
